Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface TemplateDefinitionControl

    public interface TemplateDefinitionControl

Method Summary
`com.bea.netuix.application.definition.TemplateDefinition` | `getCommunityTemplate(com.bea.netuix.application.identifier.TemplateId id, com.bea.portal.tools.common.ResourceContext context)` Gets a CommunityTemplate.
`com.bea.p13n.pagination.SortableFilterablePagedResult<? extends com.bea.netuix.application.definition.TemplateDefinition>` | `getCommunityTemplates(int pageSize, com.bea.netuix.application.manager.persistence.TemplateSearchCriteria criteria, boolean libraryScope, com.bea.portal.tools.common.ResourceContext context)` Gets a PagedResult of all the Community Templates.
`com.bea.netuix.application.definition.TemplateDefinition` | `getDesktopTemplate(com.bea.netuix.application.identifier.TemplateId id, com.bea.portal.tools.common.ResourceContext context)` Gets a DesktopTemplate.
`com.bea.p13n.pagination.SortableFilterablePagedResult<? extends com.bea.netuix.application.definition.TemplateDefinition>` | `getDesktopTemplates(int pageSize, com.bea.netuix.application.manager.persistence.TemplateSearchCriteria criteria, boolean libraryScope, com.bea.portal.tools.common.ResourceContext context)` Gets a list of all the desktop templates

Method Detail

### getDesktopTemplates

    com.bea.p13n.pagination.SortableFilterablePagedResult<? extends com.bea.netuix.application.definition.TemplateDefinition> getDesktopTemplates(int pageSize,
                                                                                                                                                  com.bea.netuix.application.manager.persistence.TemplateSearchCriteria criteria,
                                                                                                                                                  boolean libraryScope,
                                                                                                                                                  com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                                  throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a list of all the desktop templates

  Parameters
    `pageSize` - The page size for a page in the iterator.
    `criteria` - The search/filter predicate object.
    `libraryScope` - True if getting library level templates, false otherwise.
    `context` - the resource context.
  Returns
    A pagedResult of DesktopTemplates.
  Throws
    `NamingException` - Problem in the JNDI layer.
    `RemoteException` - General EjbRemote Exception.
    `CreateException` - Problem creating the EJB.
    `com.bea.p13n.entitlements.common.EntitlementsException` - General Exception thrown in the Entitlements layer
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getCommunityTemplates

    com.bea.p13n.pagination.SortableFilterablePagedResult<? extends com.bea.netuix.application.definition.TemplateDefinition> getCommunityTemplates(int pageSize,
                                                                                                                                                    com.bea.netuix.application.manager.persistence.TemplateSearchCriteria criteria,
                                                                                                                                                    boolean libraryScope,
                                                                                                                                                    com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                                    throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a PagedResult of all the Community Templates.

  Parameters
    `pageSize` - The max page size of a page in the iterator.
    `criteria` - The search/filter predicate object.
    `libraryScope` - True if getting library level templates, false otherwise.
    `context` - the resource context.
  Returns
    An Iterator of community templates.
  Throws
    `NamingException` - Problem in the JNDI layer.
    `RemoteException` - General EjbRemote Exception.
    `CreateException` - Problem creating the EJB.
    `com.bea.p13n.entitlements.common.EntitlementsException` - General Exception thrown in the Entitlements layer
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getDesktopTemplate

    com.bea.netuix.application.definition.TemplateDefinition getDesktopTemplate(com.bea.netuix.application.identifier.TemplateId id,
                                                                                com.bea.portal.tools.common.ResourceContext context)
                                                                                throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a DesktopTemplate.

  Parameters
    `id` - The template id of the desktop template to fetch.
    `context` - the resource context.
  Returns
    The TemplateDefinition mapped to the supplied id.
  Throws
    `NamingException` - Problem in the JNDI layer.
    `RemoteException` - General EjbRemote Exception.
    `CreateException` - Problem creating the EJB.
    `com.bea.p13n.entitlements.common.EntitlementsException` - General Exception thrown in the Entitlements layer
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getCommunityTemplate

    com.bea.netuix.application.definition.TemplateDefinition getCommunityTemplate(com.bea.netuix.application.identifier.TemplateId id,
                                                                                  com.bea.portal.tools.common.ResourceContext context)
                                                                                  throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a CommunityTemplate.

  Parameters
    `id` - The template id of the community template to fetch.
    `context` - the resource context.
  Returns
    The TemplateDefinition mapped to the supplied id.
  Throws
    `NamingException` - Problem in the JNDI layer.
    `RemoteException` - General EjbRemote Exception.
    `CreateException` - Problem creating the EJB.
    `com.bea.p13n.entitlements.common.EntitlementsException` - General Exception thrown in the Entitlements layer
    `com.bea.portal.tools.common.exceptions.ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved